﻿#language: ru

Функционал: 02_milk_production. Привязка пользователей к учетным точкам

Сценарий: 02_milk_production. Привязка пользователей к УТ Сырцех
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку с именем 'ПользователиДобавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Киоск'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Сырцех (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 02_milk_production. Привязка пользователей к УТ Посолка
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Посолка'      |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Посолка (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Киоск'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Посолка (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Посолка (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 02_milk_production. Привязка пользователей к УТ ПАЦ
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_ПАЦ'          |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_ПАЦ (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Киоск'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_ПАЦ (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_ПАЦ (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 02_milk_production. Привязка пользователей к УТ Выпуск на рамы
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Выпуск на рамы' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Выпуск на рамы (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Киоск'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Выпуск на рамы (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Выпуск на рамы (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 02_milk_production. Привязка пользователей к УТ В бассейн на рамы
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_В бассейн на ра*' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_В бассейн на ра* (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Киоск'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_В бассейн на ра* (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_В бассейн на ра* (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий:  02_milk_production. Привязка пользователей к УТ Маслоцех
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_Маслоцех' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Маслоцех (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Киоск'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Маслоцех (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Маслоцех (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий:  02_milk_production. Привязка пользователей к УТ Перемещения
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'          |
		| 'milk_prod_Перемещения' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Перемещения (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Киоск'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Перемещения (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Перемещения (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий:  02_milk_production. Привязка пользователей к УТ Переупаковка сыра
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'               |
		| 'milk_prod_Переупаковка сы*' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Переупаковка сы* (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя' |
		| 'milk_prod_Киоск'      |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'milk_prod_Переупаковка сы* (Учетные точки) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Переупаковка сы* (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'